VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Auto Selection"
   ClientHeight    =   4530
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3135
   LinkTopic       =   "Form1"
   ScaleHeight     =   4530
   ScaleWidth      =   3135
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkCaseSensitive 
      Caption         =   "Case Sensitive"
      Height          =   195
      Left            =   120
      TabIndex        =   4
      Top             =   4260
      Width           =   1395
   End
   Begin VB.TextBox txtAdd 
      Appearance      =   0  'Flat
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   3720
      Width           =   2895
   End
   Begin VB.TextBox txtItem 
      Appearance      =   0  'Flat
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2895
   End
   Begin VB.ListBox lstItems 
      Appearance      =   0  'Flat
      Height          =   2760
      ItemData        =   "frmMain.frx":0000
      Left            =   120
      List            =   "frmMain.frx":0002
      Sorted          =   -1  'True
      TabIndex        =   1
      Top             =   600
      Width           =   2895
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "To add words, type here and hit return"
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   3480
      Width           =   2700
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'========================================
'select items in a list box automatically
'========================================
'31 may 2003
'by vengy, Pondichery, India.
'vb4vengy@ yahoo.com
'========================================

Dim pos As Integer
Dim itemLen As Integer
Dim i As Integer
Dim itemstr As String

Private Sub Form_Load()

With lstItems
    .AddItem "Microsoft"
    .AddItem "Microsystems"
    .AddItem "Microprocessor"
End With

End Sub
Public Sub selectItem(item As String)
itemLen = Len(item)
If itemLen = 0 Then
    'do nothing
Else
    If chkCaseSensitive.Value = 1 Then
        'case insensitive search
        For i = 0 To lstItems.ListCount - 1
            If Mid(lstItems.List(i), 1, itemLen) = item Then
                txtItem.Text = lstItems.List(i)
                txtItem.SelStart = itemLen
                txtItem.SelLength = Len(lstItems.List(i)) - itemLen
                lstItems.ListIndex = i
                Exit For
            End If
        Next
    Else
        'case sensitive search
        For i = 0 To lstItems.ListCount - 1
            If LCase(Mid(lstItems.List(i), 1, itemLen)) = LCase(item) Then
                txtItem.Text = lstItems.List(i)
                txtItem.SelStart = itemLen
                txtItem.SelLength = Len(lstItems.List(i)) - itemLen
                lstItems.ListIndex = i
                Exit For
            End If
        Next
    End If
End If
End Sub

Private Sub txtAdd_KeyPress(KeyAscii As Integer)
If KeyAscii = 13 Then
    KeyAscii = 0
    lstItems.AddItem txtAdd.Text
    txtAdd.Text = ""
End If
End Sub
Private Sub txtItem_KeyPress(KeyAscii As Integer)
'handle backspace key here
If KeyAscii = vbKeyBack Then
    If Not Len(itemstr) = 0 Then
        itemstr = Mid(itemstr, 1, Len(itemstr) - 1)
    Else
        itemstr = ""
        txtItem.Text = ""
    End If
Else
    'handle enter/return key here
    If KeyAscii = vbKeyReturn Then
        'start processing the text here
        txtItem.SelStart = Len(txtItem)
        itemstr = txtItem
        Exit Sub
    Else
        itemstr = itemstr + Chr(KeyAscii)
    End If
End If
KeyAscii = 0
txtItem.Text = itemstr
txtItem.SelStart = Len(txtItem)
selectItem itemstr
End Sub
